---
updatedAt: 2025-10-09T17:33:32.000Z
agentTools:
  projectIndex: https://docs.uplynk.com/llms.txt
---

# Create Subowner

### /api2/subowners/create

Creates a new subowner attached to your account.

| Request Parameter | Type   | Description                                                                                                                                                                                                                                                                                       |
| ----------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| username          | string | New subowner username                                                                                                                                                                                                                                                                             |
| password          | string | New subowner password  Do not use this password to authenticate a Live Slicer to your account. Please use an API key instead. Leverage this endpoint to generate an API key that only authorizes slicer-related actions by creating a subowner that has only been granted the "slice" permission. |
| permissions       | list   | (optional) permissions to grant                                                                                                                                                                                                                                                                   |

Response: See subowners/get API.

Sample request/response:

The `Call` function, which is imported from `API Auth` for V2 APIs (see below), prepares the message body and digital signature.

<TutorialTile
  backgroundColor="#055b96"
  emoji="🔓"
  id="67e1aab8839d83004dcf9173"
  link="https://docs.uplynk.com/v2.0/recipes/api-auth-for-classic-authentication-v2-apis"
  slug="api-auth-for-classic-authentication-v2-apis"
  title="API Auth for Classic Authentication (V2 APIs)"
/> 

```python
from uplynk_api2_auth import Call

print(Call('/api2/subowners/create', username='ptvn.dave',
                              password='lamepass', permissions=['slice']))
```

```json
{
  "username": "ptvn.dave",
  "permissions": [
    "slice"
  ],
  "api_key": "dyWViZwTqm/etPT4SB0sTdfz2msh3D9u+iihl4dG",
  "all_api_keys": {
    "dyWViZwTqm/etPT4SB0sTdfz2msh3D9u+iihl4dG": {
      "enabled": true
    },
    "a735c56ea4014685bc74c0a375236cc5": {
      "enabled": false
    }
  },
  "id": "f534c6e0ebba4d70b2b4c31659e50952",
  "error": 0
}
```